<?php
// admin/views/payments.php

// Load the database configuration using an absolute path
$db = include __DIR__ . '/../../config/database.php';

// Create a new MySQLi connection using the config values
$mysqli = new mysqli($db['host'], $db['user'], $db['pass'], $db['dbname']);
if ($mysqli->connect_error) {
    die("Database connection failed: " . $mysqli->connect_error);
}

$payments = $mysqli->query("SELECT * FROM payments ORDER BY id DESC LIMIT 100");
?>

<h2>Payments</h2>
<table border="1" cellpadding="8" cellspacing="0">
    <thead>
        <tr>
            <th>ID</th>
            <th>Phone</th>
            <th>Amount</th>
            <th>Status</th>
            <th>Transaction ID</th>
            <th>Voucher</th>
            <th>Created</th>
            <th>Completed</th>
        </tr>
    </thead>
    <tbody>
        <?php while ($row = $payments->fetch_assoc()): ?>
        <tr>
            <td><?= $row['id'] ?></td>
            <td><?= $row['phone_number'] ?></td>
            <td><?= $row['amount'] ?></td>
            <td><?= $row['status'] ?></td>
            <td><?= $row['transaction_id'] ?></td>
            <td><?= $row['voucher_code'] ?></td>
            <td><?= $row['created_at'] ?></td>
            <td><?= $row['completed_at'] ?></td>
        </tr>
        <?php endwhile; ?>
    </tbody>
</table>
