<?php
// admin/views/sms.php

// Load the database configuration using an absolute path
$db = include __DIR__ . '/../../config/database.php';

// Create a new MySQLi connection using the config values
$conn = new mysqli($db['host'], $db['user'], $db['pass'], $db['dbname']);
if ($conn->connect_error) {
    die("Database connection failed: " . $conn->connect_error);
}

// Execute the query to get SMS logs (payments with a voucher)
$result = $conn->query("SELECT phone_number, voucher_code, completed_at, status FROM payments WHERE voucher_code IS NOT NULL ORDER BY completed_at DESC");

echo "<h2>SMS Delivery Logs</h2>";
echo "<table class='table table-bordered'>";
echo "<thead><tr><th>Phone</th><th>Voucher</th><th>Status</th><th>Sent At</th></tr></thead><tbody>";

while ($row = $result->fetch_assoc()) {
    echo "<tr>
        <td>{$row['phone_number']}</td>
        <td>{$row['voucher_code']}</td>
        <td>{$row['status']}</td>
        <td>{$row['completed_at']}</td>
    </tr>";
}

echo "</tbody></table>";
?>
